spelling: interactive

This commit is contained in:
Josh Soref 2017-10-22 20:24:32 +00:00
parent 70eb03ec29
commit 74fcf6f28d
142 changed files with 283 additions and 283 deletions

View File

@ -254,9 +254,9 @@ extern void motd (void);
/* myname.c */
extern /*@null@*//*@only@*/struct passwd *get_my_pwent (void);
/* pam_pass_non_interractive.c */
/* pam_pass_non_interactive.c */
#ifdef USE_PAM
extern int do_pam_passwd_non_interractive (const char *pam_service,
extern int do_pam_passwd_non_interactive (const char *pam_service,
const char *username,
const char* password);
#endif /* USE_PAM */

View File

@ -44,7 +44,7 @@ libmisc_a_SOURCES = \
myname.c \
obscure.c \
pam_pass.c \
pam_pass_non_interractive.c \
pam_pass_non_interactive.c \
pwd2spwd.c \
pwdcheck.c \
pwd_init.c \

View File

@ -134,7 +134,7 @@ failed_conversation:
*
* Return 0 on success, 1 on failure.
*/
int do_pam_passwd_non_interractive (const char *pam_service,
int do_pam_passwd_non_interactive (const char *pam_service,
const char *username,
const char* password)
{

View File

@ -464,7 +464,7 @@ int main (int argc, char **argv)
#ifdef USE_PAM
if (use_pam){
if (do_pam_passwd_non_interractive ("chpasswd", name, newpwd) != 0) {
if (do_pam_passwd_non_interactive ("chpasswd", name, newpwd) != 0) {
fprintf (stderr,
_("%s: (line %d, user %s) password not changed\n"),
Prog, line, name);

View File

@ -1237,7 +1237,7 @@ int main (int argc, char **argv)
unsigned int i;
/* Now update the passwords using PAM */
for (i = 0; i < nusers; i++) {
if (do_pam_passwd_non_interractive ("newusers", usernames[i], passwords[i]) != 0) {
if (do_pam_passwd_non_interactive ("newusers", usernames[i], passwords[i]) != 0) {
fprintf (stderr,
_("%s: (line %d, user %s) password not changed\n"),
Prog, lines[i], usernames[i]);

View File

@ -185,12 +185,12 @@ chage -d 2030-03-02 -E 1979-11-24 -I 10 -m 11 -M 12 --warndays 4 myuser7
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:21975:11:12:4:10:3614:' ] || exit 1
echo "interractive test"
echo "interactive test"
./run1.exp
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:12990:13:14:9:35:15548:' ] || exit 1
echo "interractive test (default)"
echo "interactive test (default)"
./run2.exp
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:12990:13:14:9:35:15548:' ] || exit 1

View File

@ -44,7 +44,7 @@ do
cp data/$i /etc
done
echo "interractive test"
echo "interactive test"
./run.exp $(date "+%Y-%m-%d")
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config; rm -f /etc/passwd.lock /etc/sha
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -7,7 +7,7 @@ cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "chage interractive session checks field validity"
log_start "$0" "chage interactive session checks field validity"
save_config
@ -16,7 +16,7 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"

View File

@ -0,0 +1,39 @@
#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "chage interactive session checks field validity"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0

View File

@ -1,39 +0,0 @@
#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "chage interractive session checks field validity"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interractive session as myuser1..."
./run.exp
echo "OK"
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0

View File

@ -0,0 +1,39 @@
#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "chage creates a shadow entry if there were none"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl data/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0

Some files were not shown because too many files have changed in this diff Show More